package capitulo04.bloque05;

import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio04 {
    public static void main(String[] args) {
        String stringABuscar = solicitarStringScanner("Introduzca la oración en la que desea buscar la palabra más larga");

        String palabraMasLarga = "", palabraTemporal = "";

        for (int i = 0; i <= stringABuscar.length(); i++) {
            char caracterActual;
            if (i < stringABuscar.length()) {
                caracterActual = stringABuscar.charAt(i);
            } else {
                caracterActual = ' ';
            }

            if (caracterActual != ' ') {
                palabraTemporal += caracterActual;
            } else {
                if (palabraTemporal.length() > palabraMasLarga.length()) {
                    palabraMasLarga = palabraTemporal;
                }
                palabraTemporal = "";
            }
        }

        System.out.println("La palabra más larga es: " + palabraMasLarga);
    }
}
